package com.ruoyi.web.stock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 仓库盘点主表 warehouse_check。
 */
public class WarehouseCheck extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date checkDate;

    private String sheetNo;

    /** 盘点员 */
    private String checkUser;

    private String delFlag;

    private String orgId;

    private List<WarehouseCheckGoods> goodsList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getSheetNo() {
        return sheetNo;
    }

    public void setSheetNo(String sheetNo) {
        this.sheetNo = sheetNo;
    }

    public String getCheckUser() {
        return checkUser;
    }

    public void setCheckUser(String checkUser) {
        this.checkUser = checkUser;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public List<WarehouseCheckGoods> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<WarehouseCheckGoods> goodsList) {
        this.goodsList = goodsList;
    }
}
